extends RigidBody

var timeout = 1.5
func _ready():
	pass
func _process(delta):
	timeout -= delta
	if timeout < 0.0:
		if get_tree().get_nodes_in_group("projectile").size() > 40:
			queue_free()
		else:
			sleeping = true
			set_process(false)
